import fs from 'fs';
import { JsonCursorPath } from './json-cursor-path.js';
const rawFile = fs.readFileSync('./test/fixtures/00-object-simple.json', 'utf8').toString();
function test(name, job) {
    const start = Date.now();
    const count = 100000;
    for (let i = 0; i < count; ++i) {
        job(rawFile);
    }
    const end = Date.now();
    console.log(name, end - start, 'ms for', count, 'times');
}
test('JSON.parse', (d) => JSON.parse(d));
test('simple-traversal', (d) => {
    let str = '';
    for (const element of d) {
        str += element;
    }
});
test('json-cursor-path', (d) => new JsonCursorPath(d).get(2333313));
